Subject: [PATCH v2 0/2] ohci-/ehci-platform: Change compatible string to generic-?hci

From: [email-masked] (Kevin Hilman)
Date: Tue, 11 Feb 2014 09:53:15 -0800

Hans de Goede <[email-masked]> writes:

> Hi Greg,
>
> And here is v2 of my ohci-/ehci-platform fixes for the regression of USB
> support on various ARM boards I caused in linux-next.
>
> As expected some people still did not like the ?hci-platform compatible
> string I went for in v1, hence this v2. The good news is it seems everyone
> seems to be able to live with generic-?hci as compatible now, so it seems this
> issue is finally settled.
>
> Please add these 2 patches to your usb-next tree, as said in the cover-letter
> of v1, I'm fine with you squashing these into the first 2 patches of my
> original series, but if you want them separate to preserve history that is
> fine too.

I tested this series on top of next-20140211 on the OMAP platforms where
I noticed the regressions, and confirm it fixes the problem.

Tested-by: Kevin Hilman <[email-masked]>

Kevin